Package fr.gouv.vitam.processing.common.automation

# Interface IEventsProcessEngine

All Known Implementing Classes:
  `StateMachine`

public interface IEventsProcessEngine
This implemented by the state machine and passed to the ProcessEngine ProcessEngine can with this callback the state machine and update it with the information about the execution of step with her status code

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StatusCode`
  `getCurrentProcessWorkflowStatus()`
  `void`
  `onError(Throwable throwable)`
  The ProcessEngine callback on system error occurred
  `void`
  `onProcessEngineCancel(WorkerParameters workerParameters)`
  The ProcessEngine callback when the step is cancelled
  `void`
  `onProcessEngineCompleteStep(ItemStatus itemStatus, WorkerParameters workerParameters)`
  The ProcessEngine callback on complete step (for any status code)
  `void`
  `onUpdate(StatusCode statusCode)`
  Update the current step status code
  `void`
  `onUpdate(String messageIdentifier, String originatingAgency)`

- ## Method Details

  - ### onUpdate

    void onUpdate(StatusCode statusCode)
    Update the current step status code
    Parameters:
      `statusCode` -

  - ### getCurrentProcessWorkflowStatus

    StatusCode getCurrentProcessWorkflowStatus()

  - ### onUpdate

    void onUpdate(String messageIdentifier, String originatingAgency)
    Parameters:
      `messageIdentifier` -
      `originatingAgency` -

  - ### onProcessEngineCompleteStep

    void onProcessEngineCompleteStep(ItemStatus itemStatus, WorkerParameters workerParameters)
    The ProcessEngine callback on complete step (for any status code)
    Parameters:
      `itemStatus` -
      `workerParameters` -

  - ### onProcessEngineCancel

    void onProcessEngineCancel(WorkerParameters workerParameters)
    The ProcessEngine callback when the step is cancelled
    Parameters:
      `workerParameters` -

  - ### onError

    void onError(Throwable throwable)
    The ProcessEngine callback on system error occurred
    Parameters:
      `throwable` -